:Liste de types de variables
:Type,Example,Signification
:real
\real{x=9.1^9+6^8}
\x is a real number rounded to 8 significant digits. For more precision, use pari or maxima with the text type: \text{a=pari(9.1^9+6^8)}
:complex
\complex{z=(1+2*i)^3}
\z is the complex number z=(1+2*i)^3
:text
\text{a=1 2  3}
\a is the text without any transformation
:integer
\integer{n=3*exp(\a)}
\n is the integer closest to 3*e\a (it depends on the value of \a and is calculated first as real, so with 8 significant digits only)
:rational
\rational{x=2*5/6}
\x is the (exact) rational number 5/3
:function
\function{f=2*x^2}
the function 2 x^2
:matrix
\matrix{m=1,2,3
4,5,6
7,8,9}
\m is the matrix with 3 lines et 3 rows.
